xine-lib: xine-lib-1.2.12/include/xine/xmlparser.h File Reference

xine-lib 1.2.12

Data Structures | Macros | Typedefs | Enumerations | Functions
xmlparser.h File Reference
`#include <xine/attributes.h>`

Go to the source code of this file.

## Data Structures
struct | xml_property_s
struct | xml_node_s
struct | xml_parser_s

## Macros
#define | XML_PARSER_CASE_INSENSITIVE 0
#define | XML_PARSER_CASE_SENSITIVE 1
#define | XML_PARSER_OK 0
#define | XML_PARSER_ERROR 1
#define | XML_PARSER_RELAXED 1
#define | XML_PARSER_MULTI_TEXT 2
#define | CDATA_MARKER "[CDATA]"

## Typedefs
typedef struct xml_property_s | xml_property_t
typedef struct xml_node_s | xml_node_t
typedef struct xml_parser_s | xml_parser_t

## Enumerations
enum | xml_escape_quote_t { XML_ESCAPE_NO_QUOTE , XML_ESCAPE_SINGLE_QUOTE , XML_ESCAPE_DOUBLE_QUOTE }

## Functions
void | xml_parser_init (const char *buf, int size, int mode) XINE_DEPRECATED
xml_parser_t * | xml_parser_init_r (const char *buf, int size, int mode)
void | xml_parser_finalize_r (xml_parser_t *xml_parser)
int | xml_parser_build_tree (xml_node_t **root_node) XINE_DEPRECATED
int | xml_parser_build_tree_r (xml_parser_t *xml_parser, xml_node_t **root_node)
int | xml_parser_build_tree_with_options (xml_node_t **root_node, int flags) XINE_DEPRECATED
int | xml_parser_build_tree_with_options_r (xml_parser_t *xml_parser, xml_node_t **root_node, int flags)
void | xml_parser_free_tree (xml_node_t *root_node)
const char * | xml_parser_get_property (const xml_node_t *node, const char *name)
int | xml_parser_get_property_int (const xml_node_t *node, const char *name, int def_value)
int | xml_parser_get_property_bool (const xml_node_t *node, const char *name, int def_value)
char * | xml_escape_string (const char *s, xml_escape_quote_t quote_type)
void | xml_parser_dump_tree (const xml_node_t *node)

## Macro Definition Documentation

## ◆ CDATA_MARKER

#define CDATA_MARKER "[CDATA]"

## ◆ XML_PARSER_CASE_INSENSITIVE

#define XML_PARSER_CASE_INSENSITIVE 0

## ◆ XML_PARSER_CASE_SENSITIVE

#define XML_PARSER_CASE_SENSITIVE 1

## ◆ XML_PARSER_ERROR

#define XML_PARSER_ERROR 1

## ◆ XML_PARSER_MULTI_TEXT

#define XML_PARSER_MULTI_TEXT 2

## ◆ XML_PARSER_OK

#define XML_PARSER_OK 0

## ◆ XML_PARSER_RELAXED

#define XML_PARSER_RELAXED 1

## Typedef Documentation

## ◆ xml_node_t

typedef struct xml_node_s xml_node_t

## ◆ xml_parser_t

typedef struct xml_parser_s xml_parser_t

## ◆ xml_property_t

typedef struct xml_property_s xml_property_t

## Enumeration Type Documentation

## ◆ xml_escape_quote_t

enum xml_escape_quote_t

Enumerator
XML_ESCAPE_NO_QUOTE |
XML_ESCAPE_SINGLE_QUOTE |
XML_ESCAPE_DOUBLE_QUOTE |

## Function Documentation

## ◆ xml_escape_string()

char * xml_escape_string | ( | const char * | s,
|  | xml_escape_quote_t | quote_type
| ) |  |

References NULL, and xml_escape_string_internal().

Referenced by xml_parser_dump_node().

## ◆ xml_parser_build_tree()

int xml_parser_build_tree | ( | xml_node_t ** | root_node | ) |

References static_xml_parser, and xml_parser_build_tree_with_options_r().

## ◆ xml_parser_build_tree_r()

int xml_parser_build_tree_r | ( | xml_parser_t * | xml_parser,
|  | xml_node_t ** | root_node
| ) |  |

References xml_parser_build_tree_with_options_r().

Referenced by demux_asf_parse_asx_references(), parse_asx(), parse_qtl(), parse_rss(), parse_smi(), parse_xspf(), and spudec_decode_data().

## ◆ xml_parser_build_tree_with_options()

int xml_parser_build_tree_with_options | ( | xml_node_t ** | root_node,
|  | int | flags
| ) |  |

References static_xml_parser, and xml_parser_build_tree_with_options_r().

## ◆ xml_parser_build_tree_with_options_r()

int xml_parser_build_tree_with_options_r | ( | xml_parser_t * | xml_parser,
|  | xml_node_t ** | root_node,
|  | int | flags
| ) |  |

References cdata, xml_node_s::child, free_xml_node(), lprintf, xml_node_s::name, new_xml_node(), xml_node_s::next, NULL, xml_parser_free_tree(), and xml_parser_get_node().

Referenced by xml_parser_build_tree(), xml_parser_build_tree_r(), and xml_parser_build_tree_with_options().

## ◆ xml_parser_dump_tree()

void xml_parser_dump_tree | ( | const xml_node_t * | node | ) |

References xml_node_s::next, and xml_parser_dump_node().

## ◆ xml_parser_finalize_r()

void xml_parser_finalize_r | ( | xml_parser_t * | xml_parser | ) |

References xml_parser_s::lexer, and lexer_finalize_r().

Referenced by demux_asf_parse_asx_references(), parse_asx(), parse_qtl(), parse_rss(), parse_smi(), parse_xspf(), spudec_decode_data(), and xml_parser_init().

## ◆ xml_parser_free_tree()

void xml_parser_free_tree | ( | xml_node_t * | root_node | ) |

References lprintf, and xml_parser_free_tree_rec().

Referenced by demux_asf_parse_asx_references(), parse_asx(), parse_qtl(), parse_rss(), parse_smi(), parse_xspf(), and xml_parser_build_tree_with_options_r().

## ◆ xml_parser_get_property()

const char * xml_parser_get_property | ( | const xml_node_t * | node,
|  | const char * | name
| ) |  |

References lprintf, xml_property_s::name, name, xml_property_s::next, NULL, xml_node_s::props, and xml_property_s::value.

Referenced by asx_get_time_value(), demux_asf_parse_asx_references(), parse_asx(), parse_qtl(), parse_rss(), parse_smi(), xml_parser_get_property_bool(), and xml_parser_get_property_int().

## ◆ xml_parser_get_property_bool()

int xml_parser_get_property_bool | ( | const xml_node_t * | node,
|  | const char * | name,
|  | int | def_value
| ) |  |

References name, v, and xml_parser_get_property().

## ◆ xml_parser_get_property_int()

int xml_parser_get_property_int | ( | const xml_node_t * | node,
|  | const char * | name,
|  | int | def_value
| ) |  |

References name, v, and xml_parser_get_property().

## ◆ xml_parser_init()

void xml_parser_init | ( | const char * | buf,
|  | int | size,
|  | int | mode
| ) |  |

References mode(), static_xml_parser, xml_parser_finalize_r(), and xml_parser_init_r().

## ◆ xml_parser_init_r()

xml_parser_t * xml_parser_init_r | ( | const char * | buf,
|  | int | size,
|  | int | mode
| ) |  |

References xml_parser_s::lexer, lexer_init_r(), xml_parser_s::mode, mode(), and NULL.

Referenced by demux_asf_parse_asx_references(), parse_asx(), parse_qtl(), parse_rss(), parse_smi(), parse_xspf(), spudec_decode_data(), and xml_parser_init().